<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateVpnGroupReq StructType
 * @subpackage Structs
 */
class UpdateVpnGroupReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The vpnGateways
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways
     */
    public $vpnGateways;
    /**
     * Constructor method for UpdateVpnGroupReq
     * @uses UpdateVpnGroupReq::setNewName()
     * @uses UpdateVpnGroupReq::setDescription()
     * @uses UpdateVpnGroupReq::setVpnGateways()
     * @param string $newName
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways
     */
    public function __construct($newName = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setVpnGateways($vpnGateways);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGroupReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGroupReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get vpnGateways value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways|null
     */
    public function getVpnGateways()
    {
        return $this->vpnGateways;
    }
    /**
     * Set vpnGateways value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnGroupReq
     */
    public function setVpnGateways(\\Losc\CucmBundle\Model\Webservice\StructType\VpnGateways $vpnGateways = null)
    {
        $this->vpnGateways = $vpnGateways;
        return $this;
    }
}
